<?php
/**
* @version 			SEBLOD 2.x Core
* @package			SEBLOD (App Builder & CCK) // SEBLOD nano (Form Builder)
* @url				http://www.seblod.com
* @editor			Octopoos - www.octopoos.com
* @copyright		Copyright (C) 2012 SEBLOD. All Rights Reserved.
* @license 			GNU General Public License version 2 or later; see _LICENSE.php
**/

// No Direct Access
defined( '_JEXEC' ) or die;
?>

<?php
$options	=	JCckDev::fromSTRING( $this->item->options );
$options2	=	JCckDev::fromJSON( $this->item->options2 );
?>

<div class="seblod">
    <?php echo JCckDev::renderLegend( JText::_( 'COM_CCK_CONSTRUCTION' ), JText::_( 'PLG_CCK_FIELD_'.$this->item->type.'_DESC' ) ); ?>
    <ul class="adminformlist adminformlist-2cols">
        <?php
		echo JCckDev::renderForm( 'core_label', $this->item->label, $config );
		echo JCckDev::renderForm( 'core_defaultvalue', $this->item->defaultvalue, $config );
		echo JCckDev::renderForm( 'core_query', $this->item->bool2, $config );
		echo JCckDev::renderForm( 'core_selectlabel', $this->item->selectlabel, $config );
		// 1
		echo JCckDev::renderForm( 'core_options_query', @$options2['query'], $config, array(), array(), 'w100' );
		// 2
		echo JCckDev::renderForm( 'core_options_table', @$options2['table'], $config );
		echo JCckDev::renderForm( 'core_options_name', @$options2['name'], $config );
		echo JCckDev::renderForm( 'core_options_where', @$options2['where'], $config );
		echo JCckDev::renderForm( 'core_options_value', @$options2['value'], $config );
		echo '<li><label>'.JText::_( 'COM_CCK_ORDER_BY' ).'</label>'
		.	 JCckDev::getForm( 'core_options_orderby', @$options2['orderby'], $config )
		.	 JCckDev::getForm( 'core_options_orderby_direction', @$options2['orderby_direction'], $config )
		.	 '</li>';
		echo JCckDev::renderForm( 'core_options_limit', @$options2['limit'], $config );
		
		// Multiple
		echo JCckDev::renderForm( 'core_bool3', $this->item->bool3, $config, array( 'label'=>'Multiple'), array(), 'w100' );
		echo JCckDev::renderForm( 'core_rows', $this->item->rows, $config );
		echo JCckDev::renderForm( 'core_separator', $this->item->divider, $config );

		// Language
		echo JCckDev::renderForm( 'core_options_language_detection', @$options2['language_detection'], $config );
		echo '<li><label>'.JText::_( 'COM_CCK_LANGUAGE_CODES_DEFAULT' ).'</label>'
		 .	 JCckDev::getForm( 'core_options_language_codes', @$options2['language_codes'], $config, array( 'size' => 21 ) )
		 .	 JCckDev::getForm( 'core_options_language_default', @$options2['language_default'], $config, array( 'size' => 5 ) )
		 .	 '</li>';

		// Static
		echo JCckDev::renderForm( 'core_bool4', $this->item->bool4, $config, array( 'label' => 'Static Options' ), array(), 'w100' );
		echo JCckDev::renderForm( 'core_options', $options, $config );
		echo JCckDev::renderForm( 'core_bool4', $this->item->bool5, $config, array( 'label' => 'Position', 'options' => 'Top=1||bottom=0' , 'storage_field' => 'bool5' ) );
		
		echo JCckDev::renderHelp( 'field', '1496-select-dynamic.html' );
        echo JCckDev::renderSpacer( JText::_( 'COM_CCK_STORAGE' ), JText::_( 'COM_CCK_STORAGE_DESC' ) );
        echo JCckDev::getForm( 'core_storage', $this->item->storage, $config );
        ?>
	</ul>
</div>

<script type="text/javascript">
$j(document).ready(function() {
	$j('#json_options2_query').isVisibleWhen('bool2','1');
	
	$j('#json_options2_table').isVisibleWhen('bool2','0');
	$j('#json_options2_name').isVisibleWhen('bool2','0');
	$j('#json_options2_value').isVisibleWhen('bool2','0');
	$j('#json_options2_where').isVisibleWhen('bool2','0');
	$j('#json_options2_orderby').isVisibleWhen('bool2','0');
	$j('#json_options2_limit').isVisibleWhen('bool2','0');
	$j('#blank_li').isVisibleWhen('bool2','0');
	
	$j('#rows').isVisibleWhen('bool3','1');
	$j('#divider').isVisibleWhen('bool3','1');
	
	$j('#sortable_core_options').isVisibleWhen('bool4','1');
	$j('#bool5').isVisibleWhen('bool4','1');
});
</script>